安装/配置

目录

需求

This extension requires the » libffi library to be installed.

安装

To enable the FFI extension, PHP has to be configured with --with-ffi.

Windows users have to include php_ffi.dll into php.ini to enable the FFI extension.

运行时配置

这些函数的行为受 php.ini 中的设置影响。

名字默认可修改范围更新日志
ffi.enable"preload"PHP_INI_SYSTEM 
ffi.preload""PHP_INI_SYSTEM 

有关 PHP_INI_* 样式的更多详情与定义,见 配置可被设定范围

这是配置指令的简短说明。

ffi.enable string
Allows enabling ("true") or disabling ("false") FFI API usage, or restricting it only to the CLI SAPI and preloaded files ("preload").

The FFI API restrictions only affect the FFI class, but not overloaded functions of FFI\CData objects. This means that it is possible to create some FFI\CData objects in preloaded files, and then to use these directly in PHP scripts.

ffi.preload string
Allows preloading of FFI bindings during startup, which is not possible with FFI::load if opcache.preload_user is set. This directive accepts a DIRECTORY_SEPARATOR delimited list of filenames. The preloaded bindings can be accessed by calling FFI::scope.

资源类型

此扩展没有定义资源类型。